﻿@model ProviderContactInfoViewModel 

@{
    Layout = null;
}

<div class="view-container">


    <div class="title-bar">
        <div class="back">
            <a class="action" onclick="window.history.back()">
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>
        <div class="title">
            <h1 ng-if="MC.stateParams.reportName != 'FollowupForm' && MC.stateParams.reportName != 'RegistrationForm' && MC.stateParams.reportName != 'ChargeDiscount'">
                {{MC.stateParams.reportName}} School Season Reconciliation
            </h1>
            <h1 ng-if="MC.stateParams.reportName == 'FollowupForm'">
                Follow-up Forms Report
            </h1>
            <h1 ng-if="MC.stateParams.reportName == 'RegistrationForm'">
                Registration Forms Report
            </h1>
            <h1 ng-if="MC.stateParams.reportName == 'ChargeDiscount'">
                Charge/Discount Report
            </h1>
        </div>
        <div class="clearfix"></div>
        <hr />
    </div>

    <div class="clearfix"></div>
    <div >
        <form ng-submit="runReport()"   class="no-margin">
          
            
            <div class="input-control choosen" data-role="input-control"  >
                <p>Please select a school </p>
                <select chosen 
                        ng-model="Model.SchoolId"
                        ng-change="fillSeasonData(Model.SchoolId)"
                        data-placeholder="Select School"
                        ng-options="obj.Value as obj.Text for obj in AllSchools"></select>

            </div>

            <hr />
            <div class="input-control choosen" data-role="input-control"  ng-show="Model.SchoolId != '' ">
                <p>Please select a season </p>
                <select chosen 
                        ng-model="Model.SeasonId"
                        data-placeholder="Select season" 
                        ng-options="obj.Value as obj.Text for obj in AllSeasons"></select>

            </div>

            <button type="submit" class="success large place-right button" >Run</button>
            <div class="clearfix"></div>
      
        </form>
    </div>

</div>
